# Uses of Interface
org.eclipse.mat.query.IDecorator

Packages that use IDecorator
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of IDecorator in org.eclipse.mat.inspections

Classes in org.eclipse.mat.inspections that implement IDecorator
Modifier and Type
Class
Description
`class`
`DuplicatedClassesQuery`

## Uses of IDecorator in org.eclipse.mat.internal.snapshot.inspections

Classes in org.eclipse.mat.internal.snapshot.inspections that implement IDecorator
Modifier and Type
Class
Description
`static final class`
`Path2GCRootsQuery.Tree`

## Uses of IDecorator in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return IDecorator
Modifier and Type
Method
Description
`IDecorator`
Column.`getDecorator()`
Methods in org.eclipse.mat.query with parameters of type IDecorator
Modifier and Type
Method
Description
`Column`
Column.`decorator(IDecorator decorator)`
Add a decorator to a column

## Uses of IDecorator in org.eclipse.mat.snapshot.query

Classes in org.eclipse.mat.snapshot.query that implement IDecorator
Modifier and Type
Class
Description
`static class`
`ObjectListResult.Inbound`
Helper class which describes a tree of objects by inbound references.
`static class`
`ObjectListResult.Outbound`
Helper class which describes a tree of objects by outbound references.